## kactivities 4.8.4

=== service/plugins/globalshortcuts/CMakeLists.txt ===
project(activitymanager-globalshortcuts)

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
   ${CMAKE_CURRENT_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

set(
   globalshortcuts_SRCS
   globalshortcuts.cpp
   ../../Plugin.cpp
   )

kde4_add_plugin(
   activitymanager_plugin_globalshortcuts
   ${globalshortcuts_SRCS}
   )

target_link_libraries(
   activitymanager_plugin_globalshortcuts
   ${KDE4_KDECORE_LIBS}
   ${KDE4_KDEUI_LIBS}
   ${KACTIVITIES_LIBS}
   )

install(TARGETS activitymanager_plugin_globalshortcuts DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES activitymanager-plugin-globalshortcuts.desktop DESTINATION ${SERVICES_INSTALL_DIR})

## kactivities 4.8.2

=== debian/changelog ===
kactivities (4:4.8.2-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:31:59 +0100

kactivities (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 20:00:33 +0200

kactivities (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release
  * libkactivities-bin breaks/replaces kde-runtime << 4:4.8.0
  * libkactivities-bin breaks/replaces kde-runtime-data << 4:4.8.0
  * libkactivities-dbg breaks/replaces kde-runtime-dbg << 4:4.8.0

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 07 Mar 2012 14:42:53 +0100

kactivities (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:22 +0000

kactivities (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:56 +0000

kactivities (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate
    - update libkactivities-dev.install

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 23 Dec 2011 23:39:41 +0100

kactivities (4:4.7.90-0ubuntu1) precise; urgency=low

  * Initial package
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Dec 2011 11:53:27 +0000

=== debian/control ===
Source: kactivities
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), libsoprano-dev, shared-desktop-ontologies
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities

Package: libkactivities-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kde-runtime (<< 4:4.8.0), kde-runtime-data (<< 4:4.8.0)
Replaces: kde-runtime (<< 4:4.8.0), kde-runtime-data (<< 4:4.8.0)
Description: executables for the KDE Activities
 This package contains binary files shipped with the KDE Activities library.
 .
 This package is part of the Plasma Contour Active Platform.

Package: libkactivities6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkactivities-bin (= ${binary:Version})
Description: Activities library
 This library provides functionality for managing Activities.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkactivities-dev
Section: libdevel
Architecture: any
Depends: libkactivities6 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkactivities6}
Description: development files for the KDE Activities libraries
 This library provides functionality for managing Activities.
 .
 This package contains developer files for the library.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkactivities-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libkactivities6 (= ${binary:Version})
Breaks: kde-runtime-dbg (<< 4:4.8.0)
Replaces: kde-runtime-dbg (<< 4:4.8.0)
Description: debugging symbols for libkactivities5
 This library provides functionality for managing Activities.
 .
 This package contains the debugging files used to investigate problems with
 the libkactivities5 library.

## kactivities 4.8.4

=== debian/changelog ===
kactivities (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
  * Team upload.

  [ José Manuel Santamaría Lema ]
  * Add myself to Uploaders.
  * Add watch file.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.4.

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jun 2012 15:42:48 +0300

kactivities (4:4.8.3-1) experimental; urgency=low

  * Team upload.

  [ Eshat Cakar ]
  * New upstream release, start from kubuntu packaging, thanks!
  * Bump kdelibs5-dev depends to 4.8.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.

 -- Modestas Vainius <modax@debian.org>  Sat, 26 May 2012 20:37:00 +0300

=== debian/control ===
Source: kactivities
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8),
 libsoprano-dev,
 shared-desktop-ontologies (>= 0.8.1)
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kactivities.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kactivities.git

Package: libkactivities-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kde-runtime (<< 4:4.8), kde-runtime-data (<< 4:4.8),
 kdebase-runtime (<< 4:4.8), kdebase-runtime-data (<< 4:4.8)
Replaces: kde-runtime (<< 4:4.8), kde-runtime-data (<< 4:4.8),
 kdebase-runtime (<< 4:4.8), kdebase-runtime-data (<< 4:4.8)
Description: executables for the KDE Activities
 This package contains binary files shipped with the KDE Activities library.
 .
 This package is part of the Plasma Contour Active Platform.

Package: libkactivities6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkactivities-bin (= ${binary:Version})
Description: Activities library
 This library provides functionality for managing activities.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkactivities-dev
Section: libdevel
Architecture: any
Depends: libkactivities6 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkactivities6}
Description: development files for the KDE Activities libraries
 This package contains the development files for developing with the
 kactivities library.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkactivities-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libkactivities6 (= ${binary:Version})
Breaks: kde-runtime-dbg (<< 4:4.8), kdebase-runtime-dbg (<< 4:4.8)
Replaces: kde-runtime-dbg (<< 4:4.8), kdebase-runtime-dbg (<< 4:4.8)
Suggests: libkactivities-bin (= ${binary:Version})
Description: debugging symbols for libkactivities
 This library provides functionality for managing activities.
 .
 This package contains the debugging files used to investigate problems with
 the libkactivities library.

## kactivities 4.8.5

=== debian/changelog ===
kactivities (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:38:48 +0200

kactivities (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:32:28 +0200

kactivities (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)
    - add activitymanager_plugin_globalshortcuts to libkactivities-bin.install

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 May 2012 15:40:56 +0200

=== debian/control ===
Source: kactivities
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), libsoprano-dev, shared-desktop-ontologies
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities

Package: libkactivities-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kde-runtime (<< 4:4.8.0), kde-runtime-data (<< 4:4.8.0)
Replaces: kde-runtime (<< 4:4.8.0), kde-runtime-data (<< 4:4.8.0)
Description: executables for the KDE Activities
 This package contains binary files shipped with the KDE Activities library.
 .
 This package is part of the Plasma Contour Active Platform.

Package: libkactivities6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkactivities-bin (= ${binary:Version})
Description: Activities library
 This library provides functionality for managing Activities.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkactivities-dev
Section: libdevel
Architecture: any
Depends: libkactivities6 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkactivities6}
Description: development files for the KDE Activities libraries
 This library provides functionality for managing Activities.
 .
 This package contains developer files for the library.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkactivities-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libkactivities6 (= ${binary:Version})
Breaks: kde-runtime-dbg (<< 4:4.8.0)
Replaces: kde-runtime-dbg (<< 4:4.8.0)
Description: debugging symbols for libkactivities5
 This library provides functionality for managing Activities.
 .
 This package contains the debugging files used to investigate problems with
 the libkactivities5 library.

## kactivities 4.9.2

=== debian/changelog ===
kactivities (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:10:35 +0100

kactivities (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:16:09 +0530

kactivities (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:00:33 +0100

kactivities (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:03:09 +0200

kactivities (4:4.8.80a-0ubuntu1) quantal; urgency=low

  [ Jonathan Thomas ]
  * New upstream beta release:
    - Update libactivities6.symbols for new symbols.
    - Update libkactivities-bin.install for changed files.

  [ Philip Muškovac ]
  * Merge with debian git, remaining changes:
    - keep symbol file

  [ Felix Geyer ]
  * Update symbol file.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 24 May 2012 23:34:02 -0400

kactivities (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - add activitymanager_plugin_globalshortcuts to libkactivities-bin.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 May 2012 19:02:42 +0200

kactivities (4:4.8.3-0r1) UNRELEASED; urgency=low

  [ Eshat Cakar ]
  * New upstream release, start from kubuntu packaging, thanks!
  * Bump kdelibs5-dev depends to 4.8.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 21:11:33 +0100

=== debian/control ===
Source: kactivities
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>
Build-Depends: 
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 libx11-dev,
 libqt4-opengl-dev,
 kdelibs5-dev (>= 4:4.9.2),
 libsoprano-dev,
 shared-desktop-ontologies (>= 0.8.1)
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities

Package: libkactivities-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kde-runtime (<< 4:4.8), kde-runtime-data (<< 4:4.8),
 kdebase-runtime (<< 4:4.8), kdebase-runtime-data (<< 4:4.8)
Replaces: kde-runtime (<< 4:4.8), kde-runtime-data (<< 4:4.8),
 kdebase-runtime (<< 4:4.8), kdebase-runtime-data (<< 4:4.8)
Description: executables for the KDE Activities
 This package contains binary files shipped with the KDE Activities library.
 .
 This package is part of the Plasma Contour Active Platform.

Package: libkactivities6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkactivities-bin (= ${binary:Version})
Description: Activities library
 This library provides functionality for managing activities.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkactivities-dev
Section: libdevel
Architecture: any
Depends: libkactivities6 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkactivities6}
Description: development files for the KDE Activities libraries
 This package contains the development files for developing with the
 kactivities library.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkactivities-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libkactivities6 (= ${binary:Version})
Breaks: kde-runtime-dbg (<< 4:4.8), kdebase-runtime-dbg (<< 4:4.8)
Replaces: kde-runtime-dbg (<< 4:4.8), kdebase-runtime-dbg (<< 4:4.8)
Suggests: libkactivities-bin (= ${binary:Version})
Description: debugging symbols for libkactivities
 This library provides functionality for managing activities.
 .
 This package contains the debugging files used to investigate problems with
 the libkactivities library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkactivities-dbg

## kactivities 4.9.4

=== debian/changelog ===
kactivities (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:43:47 +0100

kactivities (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:31:40 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  libx11-dev,
  libqt4-opengl-dev,
- kdelibs5-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.4),
  libsoprano-dev,
  shared-desktop-ontologies (>= 0.8.1)
 Standards-Version: 3.9.3

## kactivities 4.9.5

=== debian/changelog ===
kactivities (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:20:07 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  libx11-dev,
  libqt4-opengl-dev,
- kdelibs5-dev (>= 4:4.9.4),
+ kdelibs5-dev (>= 4:4.9.5),
  libsoprano-dev,
  shared-desktop-ontologies (>= 0.8.1)
 Standards-Version: 3.9.3

## kactivities 4.10.0

=== debian/changelog ===
kactivities (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:30:49 +0000

kactivities (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:56:13 +0000

kactivities (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:24:06 +0100

kactivities (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:15:45 +0000

kactivities (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:35:52 +0000

kactivities (4:4.9.80-0ubuntu2) raring; urgency=low

  * Set minimum required version of nepomuk-core-dev to 4:4.9.80
    - FTBFS with earlier versions

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Nov 2012 23:28:37 -0500

kactivities (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scott Kitterman ]
  * Add new libkactivities-models1 library package (debian/control, .install,
    and .symbols)
  * Add nepomuk-core-dev to build-depends
  * Wildcard libkactivities6.install so that soversion changes don't cause
    build failures
  * Update libkactivities6.symbols
  * Update libkactivities-dev.install for new files for libkactivies-models
  * Add new files to libkactivities-bin.install, including Activities kcm

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 13:47:27 -0500

kactivities (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:22:07 +0100

kactivities (4:4.8.3-0r1) raring; urgency=low

  [ Eshat Cakar ]
  * New upstream release, start from kubuntu packaging, thanks!
  * Bump kdelibs5-dev depends to 4.8.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 21:11:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  libx11-dev,
  libqt4-opengl-dev,
- kdelibs5-dev (>= 4:4.9.5),
+ kdelibs5-dev (>= 4:4.10.0),
  libsoprano-dev,
+ nepomuk-core-dev (>= 4:4.10.0),
  shared-desktop-ontologies (>= 0.8.1)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
@@ -37,6 +38,15 @@
  .
  This package is part of the KDE Development Platform libraries module.
 
+Package: libkactivities-models1
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libkactivities-bin (= ${binary:Version})
+Description: Activities models library
+ This library provides functionality for KDE activity models.
+ .
+ This package is part of the KDE Development Platform libraries module.
+
 Package: libkactivities-dev
 Section: libdevel
 Architecture: any

## kactivities 4.10.2

=== debian/changelog ===
kactivities (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:36:12 +0200

kactivities (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:12:50 +0000

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  libx11-dev,
  libqt4-opengl-dev,
- kdelibs5-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2),
  libsoprano-dev,
- nepomuk-core-dev (>= 4:4.10.0),
+ nepomuk-core-dev (>= 4:4.10.2),
  shared-desktop-ontologies (>= 0.8.1)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## kactivities 4.10.5

=== debian/changelog ===
kactivities (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:37:12 +0200

kactivities (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:02:49 +0200

kactivities (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:36:12 +0200

kactivities (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:12:50 +0000

kactivities (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:30:49 +0000

kactivities (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 14:56:13 +0000

kactivities (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:24:06 +0100

kactivities (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:15:45 +0000

kactivities (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:35:52 +0000

kactivities (4:4.9.80-0ubuntu2) raring-proposed; urgency=low

  * Set minimum required version of nepomuk-core-dev to 4:4.9.80
    - FTBFS with earlier versions

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Nov 2012 23:28:37 -0500

kactivities (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scott Kitterman ]
  * Add new libkactivities-models1 library package (debian/control, .install,
    and .symbols)
  * Add nepomuk-core-dev to build-depends
  * Wildcard libkactivities6.install so that soversion changes don't cause
    build failures
  * Update libkactivities6.symbols
  * Update libkactivities-dev.install for new files for libkactivies-models
  * Add new files to libkactivities-bin.install, including Activities kcm

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 13:47:27 -0500

kactivities (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:22:07 +0100

kactivities (4:4.8.3-0r1) raring-proposed; urgency=low

  [ Eshat Cakar ]
  * New upstream release, start from kubuntu packaging, thanks!
  * Bump kdelibs5-dev depends to 4.8.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.8.3.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 21:11:33 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  libx11-dev,
  libqt4-opengl-dev,
- kdelibs5-dev (>= 4:4.10.2),
+ kdelibs5-dev (>= 4:4.10.5),
  libsoprano-dev,
- nepomuk-core-dev (>= 4:4.10.2),
+ nepomuk-core-dev (>= 4:4.10.5),
  shared-desktop-ontologies (>= 0.8.1)
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## kactivities 4.11.2

=== debian/changelog ===
kactivities (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 13:57:29 +0100

kactivities (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:05:28 +0100

kactivities (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:57:36 +0100

kactivities (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:05:03 +0100

kactivities (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:31:48 +0000

kactivities (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 17:59:05 +0100

kactivities (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Howard Chan ]
  * Fix the symbols files
  * Update libkactivities-bin.install

  [ Philip Muškovac ]
  * Update install files 
  * Add new symbols to libkactivities6.symbols

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:46:20 +0100

kactivities (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:35:13 +0100

kactivities (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:08:38 +0000

kactivities (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add myself to Uploaders.

  [ Sune Vuorela ]
  * Add myself to uploaders

  [ Daniele E. Domenichelli ]
  * Update build dependencies:
    + Bump kdelibs5-dev to 4:4.10.
    + Add libx11-dev.
    + Add libqt4-opengl-dev.
  * Update installed files.
  * Update symbols.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.10.1.
  * Build depend on nepomuk-core-dev >= 4:4.10.
  * In order to avoid a circular dependency between libkactivities-bin and
    libkactivities6 (this didn't happen in 4.8.x):
    + libkactivities6.symbols adds a dependency on libkactivities-bin (and added
      a lintian override for symbols-declares-dependency-on-other-package).
    + libkactivities6 recommends libkactivities-bin to avoid possible partial
      upgrades problems.
  * Add libkactivities-models1 package.
  * Use ${allLibraries} variables for libkactivities-dev and libkactivities-dbg
    depends.
  * Bump build dependency on pkg-kde-tools to 0.15.4~, because previous releases
    wouldn't filter out libkactivities-dbg from ${allLibraries}.
  * Update installed files.
  * Update symbols files.

 -- Sune Vuorela <sune@debian.org>  Wed, 03 Apr 2013 06:19:29 +0000

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,23 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>
-Build-Depends: 
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
+Uploaders: Eshat Cakar <info@eshat.de>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>,
+ Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+ Sune Vuorela <sune@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.15.4~),
+ kdelibs5-dev (>= 4:4.11.2), nepomuk-core-dev (>= 4:4.11.2),
+ libsoprano-dev,
+ shared-desktop-ontologies (>= 0.8.1),
  libx11-dev,
- libqt4-opengl-dev,
- kdelibs5-dev (>= 4:4.10.5),
- libsoprano-dev,
- nepomuk-core-dev (>= 4:4.10.5),
- shared-desktop-ontologies (>= 0.8.1)
+ libqt4-opengl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities
+X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kactivities.git
+X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kactivities.git
 
 Package: libkactivities-bin
 Architecture: any
@@ -32,7 +36,8 @@
 Package: libkactivities6
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libkactivities-bin (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libkactivities-bin (= ${binary:Version})
 Description: Activities library
  This library provides functionality for managing activities.
  .
@@ -41,16 +46,16 @@
 Package: libkactivities-models1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libkactivities-bin (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Activities models library
- This library provides functionality for KDE activity models.
+ This library provides functionality for KDE activities models.
  .
  This package is part of the KDE Development Platform libraries module.
 
 Package: libkactivities-dev
 Section: libdevel
 Architecture: any
-Depends: libkactivities6 (= ${binary:Version}), ${misc:Depends},
+Depends: ${allLibraries}, ${misc:Depends},
  ${sameVersionDep:kdelibs5-dev:libkactivities6}
 Description: development files for the KDE Activities libraries
  This package contains the development files for developing with the
@@ -62,7 +67,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, libkactivities6 (= ${binary:Version})
+Depends: ${allLibraries}, ${misc:Depends}
 Breaks: kde-runtime-dbg (<< 4:4.8), kdebase-runtime-dbg (<< 4:4.8)
 Replaces: kde-runtime-dbg (<< 4:4.8), kdebase-runtime-dbg (<< 4:4.8)
 Suggests: libkactivities-bin (= ${binary:Version})

## kactivities 4.11.3

=== debian/changelog ===
kactivities (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:38:12 +0000

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
  Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.15.4~),
- kdelibs5-dev (>= 4:4.11.2), nepomuk-core-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.3), nepomuk-core-dev (>= 4:4.11.3),
  libsoprano-dev,
  shared-desktop-ontologies (>= 0.8.1),
  libx11-dev,
  libqt4-opengl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities-13.10
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kactivities.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kactivities.git

## kactivities 4.12.3

=== debian/changelog ===
kactivities (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:22:32 +0100

kactivities (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:18:20 +0100

kactivities (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:37:02 +0000

kactivities (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 07:56:39 +0000

kactivities (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:25:13 +0000

kactivities (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:31:29 +0000

kactivities (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:43:08 +0100

kactivities (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:26:57 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
  Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.15.4~),
- kdelibs5-dev (>= 4:4.11.3), nepomuk-core-dev (>= 4:4.11.3),
+ kdelibs5-dev (>= 4:4.12.3), nepomuk-core-dev (>= 4:4.12.3),
  libsoprano-dev,
  shared-desktop-ontologies (>= 0.8.1),
  libx11-dev,
  libqt4-opengl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kactivities
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kactivities.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kactivities.git

## kactivities 4.13.0

=== src/service/plugins/slc/CMakeLists.txt ===
project (activitymanager-plugin-slc)

include_directories (
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../..
    ${CMAKE_CURRENT_BINARY_DIR}
    ${KDE4_INCLUDES}
    )

set (
    slc_SRCS
    SlcPlugin.cpp
    ${plugin_implementation_SRCS}
    )

qt4_add_dbus_adaptor (
    slc_SRCS org.kde.ActivityManager.SLC.xml
    SlcPlugin.h SlcPlugin
    )

kde4_add_plugin (
    activitymanager_plugin_slc
    ${slc_SRCS}
    )

target_link_libraries (
    activitymanager_plugin_slc
    ${KDE4_KDECORE_LIBS}
    )

install (TARGETS activitymanager_plugin_slc DESTINATION ${PLUGIN_INSTALL_DIR})
install (FILES activitymanager-plugin-slc.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/service/plugins/sqlite/CMakeLists.txt ===
project (activitymanager-plugin-sqlite)

set (
    sqliteplugin_SRCS
    DatabaseConnection.cpp
    StatsPlugin.cpp
    ResourceScoreCache.cpp
    ResourceScoreMaintainer.cpp
    ${plugin_implementation_SRCS}
    )

qt4_add_dbus_adaptor (
    sqliteplugin_SRCS
    org.kde.ActivityManager.Resources.Scoring.xml
    StatsPlugin.h StatsPlugin
    )

include_directories (
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_BINARY_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../..
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/../..
    ${KDE4_INCLUDES}
    )

kde4_add_plugin (
    activitymanager_plugin_sqlite
    ${sqliteplugin_SRCS}
    )

target_link_libraries (
    activitymanager_plugin_sqlite
    ${QT_QTSQL_LIBRARIES}
    ${KDE4_KDECORE_LIBS}
    )

install (TARGETS activitymanager_plugin_sqlite DESTINATION ${PLUGIN_INSTALL_DIR})
install (FILES activitymanager-plugin-sqlite.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kactivities (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:37:35 +0100

kactivities (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:09:09 +0200

kactivities (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:55:47 +0100

kactivities (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:35:47 +0000

kactivities (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:28:24 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.15.4~),
- kdelibs5-dev (>= 4:4.12.3), nepomuk-core-dev (>= 4:4.12.3),
+ kdelibs5-dev (>= 4:4.13.0), nepomuk-core-dev (>= 4:4.13.0),
  libsoprano-dev,
  shared-desktop-ontologies (>= 0.8.1),
  libx11-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
+libpkgs_addsubst_allLibraries = libkactivities-dev libkactivities-dbg
+include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk
 
 .PHONY: override_dh_auto_test
